Bug 113174 - too few parameters on function call
Summary: too few parameters on function call
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: amanda   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-09 10:58 UTC by d.binderman
Modified: 2014-08-31 23:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 05:01:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-01-09 10:58:04 UTC
Description of problem:

I just tried to compile package amanda-2.4.4p1-1, from Redhat
Fedora Core 1.

The compiler said

1.

tapeio.c(734): warning #165: too few arguments in function call

The source code is

    if((fd = tape_open(devname, O_RDONLY)) < 0) {

but

int
tape_open(filename, mode, mask)
    char *filename;
    int mode;
    int mask;
{

So we can see there only two parameters are supplied, but three are
expected.

Suggest also upgrade definition of tape_open from K & R prototype to ISO
C prototype.


2.

The compiler also said

tapeio.c(762): warning #165: too few arguments in function call
tapeio.c(792): warning #165: too few arguments in function call
tapeio.c(865): warning #165: too few arguments in function call
tapeio.c(929): warning #165: too few arguments in function call
tapeio.c(983): warning #165: too few arguments in function call
tapeio.c(1008): warning #165: too few arguments in function call
tapeio.c(762): warning #165: too few arguments in function call
tapeio.c(792): warning #165: too few arguments in function call
tapeio.c(865): warning #165: too few arguments in function call
tapeio.c(929): warning #165: too few arguments in function call
tapeio.c(983): warning #165: too few arguments in function call
tapeio.c(1008): warning #165: too few arguments in function call

These seem to be duplicates.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 David Binderman 2004-12-21 13:51:44 UTC
I can confirm that this bug still exists in the development version
of December 21 2004, nearly a year later.

Comment 2 John Thacker 2006-04-22 05:01:46 UTC
Not going to patch upstream code to quiet a compiler warning rather 
than fix a bug or error.


Note You need to log in before you can comment on or make changes to this bug.